﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Reflection;
using System.Windows.Forms;


namespace MindFusion.Reporting.WinForms.Samples.CS.ReportEditor
{
	/// <summary>
	/// The about form.
	/// </summary>
	public partial class AboutForm : Form
	{
		/// <summary>
		/// Initializes a new instance of the AboutForm class.
		/// </summary>
		public AboutForm()
		{
			InitializeComponent();

			var assemblies = Assembly.GetExecutingAssembly().GetReferencedAssemblies();
			foreach (var assembly in assemblies)
			{
				if (assembly.Name == "MindFusion.Reporting")
				{
					versionLabel.Text = string.Format("Version: {0}", assembly.Version);
					break;
				}
			}
		}
	}
}
