//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Drawing;


namespace MindFusion.Reporting.WinForms.Samples.CS.ReportEditor
{
	public class MovieInfo
	{
		public string Name
		{
			get { return name; }
			set { name = value; }
		}

		public Image Image
		{
			get { return image; }
			set { image = value; }
		}

		public double Rating
		{
			get { return rating; }
			set { rating = value; }
		}

		public DateTime ReleaseDate
		{
			get { return releaseDate; }
			set { releaseDate = value; }
		}

		public string Director
		{
			get { return director; }
			set { director = value; }
		}

		public string Writers
		{
			get { return writers; }
			set { writers = value; }
		}

		public MovieGenres Genre
		{
			get { return genre; }
			set { genre = value; }
		}

		public string Tagline
		{
			get { return tagline; }
			set { tagline = value; }
		}

		public string Plot
		{
			get { return plot; }
			set { plot = value; }
		}

		public string Cast
		{
			get { return cast; }
			set { cast = value; }
		}


		private string name;
		private Image image;
		private double rating;
		private DateTime releaseDate;
		private string director;
		private string writers;
		private MovieGenres genre;
		private string tagline;
		private string plot;
		private string cast;
	}


	[Flags]
	public enum MovieGenres
	{
		None = 0,
		Drama = 1,
		Crime = 2,
		Thriller = 4,
		Action = 8,
		Adventure = 16,
		SciFi = 32,
		Fantasy = 64,
		Mystery = 128,
		Romance = 256,
		All = 0xffff,
	}
}
